id: gafgyt-hihi-malware

info:
  name: Gafgyt Malware - Detect
  author: daffainfo
  severity: info
  reference: https://github.com/Yara-Rules/rules/blob/master/malware/MALW_Gafgyt.yar
  tags: malware,file
file:
  - extensions:
      - all
    matchers:
      - type: word
        part: raw
        words:
          - 'PING'
          - 'PONG'
          - 'TELNET LOGIN CRACKED - %s:%s:%s'
          - 'ADVANCEDBOT'
          - '46.166.185.92'
          - 'LOLNOGTFO'
        condition: and
# digest: 490a0046304402207ac67012ba059fba75359a4773cd0dfeb18d1a00ec64242063527c49bbcb260e02201d1ce38a6f85704cf33aa5a62cd3e09576f40f8348fc33c18ce588379ee9acb7:922c64590222798bb761d5b6d8e72950